import pg from 'pg';
import type { RawAuth } from './plugins/auth-plugin.js';
import type { Environment } from './shared/types/index.js';
declare global {
    namespace GraphQLModules {
        interface GlobalContext {
            env: Environment;
            rawAuth: RawAuth;
        }
    }
}
export declare function createGraphQLApp(env: Environment, pool: pg.Pool): Promise<{
    application: import("graphql-modules").Application;
    transformedSchema: import("graphql").GraphQLSchema;
}>;
